Ασύρματα δίκτυα 802.11[abg] και Linux

Πριν αγοράσετε εξοπλισμό για ασύρματα δίκτυα, καλό είναι να ψάξετε αν υπάρχει υποστήριξη για Linux.

Γενικά υπάρχουν κάρτες οι οποίες είναι πλήρως συμβατές με Linux και προσφέρουν και δυνατότητες που ένας χρήστης Windows δε μπορεί να διανοηθεί!

Για παράδειγμα, μια κάρτα είναι δυνατόν να υποστηρίζει τη “κατάσταση Host AP/AccessPoint” που σημαίνει ότι με ειδικό λογισμικό κάποιος μπορεί να μετατρέψει το συμβατό υπολογιστή του/της σε “Access Point” χωρίς να χρειάζεται επιπλέον υλικό (hardware). Με αυτό το τρόπο, μπορείτε να δεχθείτε πολλαπλές συνδέσεις στον υπολογιστή σας. Δείτε “access point” μέσω λογισμικού (κατάσταση Host AP) για περισσότερα.

Επιπλέον, στην προτίμηση μιας κάρτας 802.11[abg] είναι θετικό να υπάρχει δυνατότητα σύνδεσης νέας κεραίας, σε περίπτωση που θέλετε να έχετε μεγαλύτερη εμβέλεια. Σε αρκετές περιπτώση όμως δεν είναι πολύ σημαντικό.

Μια άλλη κατάσταση που μπορεί να υποστηρίζει μια κάρτα είναι η κατάσταση rfmon, με την οποία κάποιος μπορεί να χρησιμοποιήσει εφαρμογές όπως το Netstumbler (Windows) για την ανίχνευση διαθέσιμων δικτύων. Για Linux υπάρχει το πρόγραμμα kismet που θεωρείτε και καλύτερο από το Netstumbler.

Γενικά όταν αγοράζει κάποιος μια κάρτα ασύρματου δικτύου, είναι δύσκολο να ξέρει τι “chipset” περιέχει (που δείχνει και αν υπάρχει υποστήριξη). Η σελίδα WLAN Adapter Chipset Directory compiled by AbsoluteValue Systems, Inc. είναι πολύ βοηθητική. Φυσικά υπάρχουν κάρτες όπως αναφέρεις που διαφορετικά “revision” έχουν διαφορετικά chipset. Πριν αγοράσετε, ζητήστε “συμβατότητα με Linux”.

Το chipset της Intersil Prism είναι αρκετά ενδιαφέρον. Αν μπορείτε, προτιμήστε το. Δείτε prism54.

Για το Atheros δείτε MADWIFI.

Υπάρχουν δικτυακοί τόποι για ασύρματα δίκτυα σε μεγάλες πόλεις (Αθήνα, Θεσσαλονίκη, Πάρτα, Λάρισσα) και μικρές (Μυτιλήνη). Γενικότερα δείτε NodeDB.com : Europe : Greece .

Τέλος, κοίταξε στο forum του awmn.gr για ενδιαφέροντες συνδέσμους (ομαδική αγορά, συμβατότητα, άλλοι χρήστες, κτλ).

1 comment

  • nikosx

    δουλεύει τελικά σε linux(2.4) η wg311v2 (TI ACX11 chipset) με ndiswrapper 0.7 και win drivers 🙂
    Όμως αν κατάλαβα καλά σε linux 2.6 θέλει kernel compile με απενεργοποιημένο το: CONFI_4KSTACKS

    If you are using 2.6 kernels, make sure 4K stacks are not used (i.e., disable CONFIG_4KSTACKS). This is especially required for Centrino drivers.

%d bloggers like this: